
//Created by Jeremy Hise email: JEREMYHISE@prodigy.net

#define MOUSE_INT							0x33

class mouse
	{
	public:

	int Reset(int *buttons)
		{
		union REGS inregs, outregs;
		inregs.x.ax = 0x00;
		int86(MOUSE_INT, &inregs, &outregs);
		*buttons = outregs.x.bx;
		return(outregs.x.ax);
		}

	int Show()
		{
		union REGS inregs, outregs;
		inregs.x.ax = 0x01;
		int86(MOUSE_INT, &inregs, &outregs);
		return(1);
		}

	int Hide()
		{
		union REGS inregs, outregs;
		inregs.x.ax = 0x02;
		int86(MOUSE_INT, &inregs, &outregs);
		return(1);
		}

	int Status(int *x, int *y, int *buttons)
		{
		union REGS inregs, outregs;
		inregs.x.ax = 0x03;
		int86(MOUSE_INT, &inregs, &outregs);
		*x			= outregs.x.cx;
		*y			= outregs.x.dx;
		*buttons = outregs.x.bx;
		return(1);
		}
	};

